/**
 */
package com.mycompany.commerce.project.facade.datatypes.impl;

import com.mycompany.commerce.project.facade.datatypes.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ProjectFactoryImpl extends EFactoryImpl implements ProjectFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ProjectFactory init() {
		try {
			ProjectFactory theProjectFactory = (ProjectFactory)EPackage.Registry.INSTANCE.getEFactory(ProjectPackage.eNS_URI);
			if (theProjectFactory != null) {
				return theProjectFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new ProjectFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case ProjectPackage.ACKNOWLEDGE_PROJECT_DATA_AREA_TYPE: return (EObject)createAcknowledgeProjectDataAreaType();
			case ProjectPackage.ACKNOWLEDGE_PROJECT_TYPE: return (EObject)createAcknowledgeProjectType();
			case ProjectPackage.CHANGE_PROJECT_DATA_AREA_TYPE: return (EObject)createChangeProjectDataAreaType();
			case ProjectPackage.CHANGE_PROJECT_TYPE: return (EObject)createChangeProjectType();
			case ProjectPackage.DOCUMENT_ROOT: return (EObject)createDocumentRoot();
			case ProjectPackage.GET_PROJECT_DATA_AREA_TYPE: return (EObject)createGetProjectDataAreaType();
			case ProjectPackage.GET_PROJECT_TYPE: return (EObject)createGetProjectType();
			case ProjectPackage.PROCESS_PROJECT_DATA_AREA_TYPE: return (EObject)createProcessProjectDataAreaType();
			case ProjectPackage.PROCESS_PROJECT_TYPE: return (EObject)createProcessProjectType();
			case ProjectPackage.PROJECT_EXTERNAL_IDENTIFIER_TYPE: return (EObject)createProjectExternalIdentifierType();
			case ProjectPackage.PROJECT_IDENTIFIER_TYPE: return (EObject)createProjectIdentifierType();
			case ProjectPackage.PROJECT_TYPE: return (EObject)createProjectType();
			case ProjectPackage.RESPOND_PROJECT_DATA_AREA_TYPE: return (EObject)createRespondProjectDataAreaType();
			case ProjectPackage.RESPOND_PROJECT_TYPE: return (EObject)createRespondProjectType();
			case ProjectPackage.SHOW_PROJECT_DATA_AREA_TYPE: return (EObject)createShowProjectDataAreaType();
			case ProjectPackage.SHOW_PROJECT_TYPE: return (EObject)createShowProjectType();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case ProjectPackage.PROJECT_DIFFICULTY_TYPE:
				return createProjectDifficultyTypeFromString(eDataType, initialValue);
			case ProjectPackage.PROJECT_DIFFICULTY_TYPE_OBJECT:
				return createProjectDifficultyTypeObjectFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case ProjectPackage.PROJECT_DIFFICULTY_TYPE:
				return convertProjectDifficultyTypeToString(eDataType, instanceValue);
			case ProjectPackage.PROJECT_DIFFICULTY_TYPE_OBJECT:
				return convertProjectDifficultyTypeObjectToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AcknowledgeProjectDataAreaType createAcknowledgeProjectDataAreaType() {
		AcknowledgeProjectDataAreaTypeImpl acknowledgeProjectDataAreaType = new AcknowledgeProjectDataAreaTypeImpl();
		return acknowledgeProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AcknowledgeProjectType createAcknowledgeProjectType() {
		AcknowledgeProjectTypeImpl acknowledgeProjectType = new AcknowledgeProjectTypeImpl();
		return acknowledgeProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ChangeProjectDataAreaType createChangeProjectDataAreaType() {
		ChangeProjectDataAreaTypeImpl changeProjectDataAreaType = new ChangeProjectDataAreaTypeImpl();
		return changeProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ChangeProjectType createChangeProjectType() {
		ChangeProjectTypeImpl changeProjectType = new ChangeProjectTypeImpl();
		return changeProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DocumentRoot createDocumentRoot() {
		DocumentRootImpl documentRoot = new DocumentRootImpl();
		return documentRoot;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GetProjectDataAreaType createGetProjectDataAreaType() {
		GetProjectDataAreaTypeImpl getProjectDataAreaType = new GetProjectDataAreaTypeImpl();
		return getProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GetProjectType createGetProjectType() {
		GetProjectTypeImpl getProjectType = new GetProjectTypeImpl();
		return getProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcessProjectDataAreaType createProcessProjectDataAreaType() {
		ProcessProjectDataAreaTypeImpl processProjectDataAreaType = new ProcessProjectDataAreaTypeImpl();
		return processProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcessProjectType createProcessProjectType() {
		ProcessProjectTypeImpl processProjectType = new ProcessProjectTypeImpl();
		return processProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectExternalIdentifierType createProjectExternalIdentifierType() {
		ProjectExternalIdentifierTypeImpl projectExternalIdentifierType = new ProjectExternalIdentifierTypeImpl();
		return projectExternalIdentifierType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectIdentifierType createProjectIdentifierType() {
		ProjectIdentifierTypeImpl projectIdentifierType = new ProjectIdentifierTypeImpl();
		return projectIdentifierType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectType createProjectType() {
		ProjectTypeImpl projectType = new ProjectTypeImpl();
		return projectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RespondProjectDataAreaType createRespondProjectDataAreaType() {
		RespondProjectDataAreaTypeImpl respondProjectDataAreaType = new RespondProjectDataAreaTypeImpl();
		return respondProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RespondProjectType createRespondProjectType() {
		RespondProjectTypeImpl respondProjectType = new RespondProjectTypeImpl();
		return respondProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShowProjectDataAreaType createShowProjectDataAreaType() {
		ShowProjectDataAreaTypeImpl showProjectDataAreaType = new ShowProjectDataAreaTypeImpl();
		return showProjectDataAreaType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShowProjectType createShowProjectType() {
		ShowProjectTypeImpl showProjectType = new ShowProjectTypeImpl();
		return showProjectType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectDifficultyType createProjectDifficultyTypeFromString(EDataType eDataType, String initialValue) {
		ProjectDifficultyType result = ProjectDifficultyType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertProjectDifficultyTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectDifficultyType createProjectDifficultyTypeObjectFromString(EDataType eDataType, String initialValue) {
		return createProjectDifficultyTypeFromString(ProjectPackage.Literals.PROJECT_DIFFICULTY_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertProjectDifficultyTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertProjectDifficultyTypeToString(ProjectPackage.Literals.PROJECT_DIFFICULTY_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectPackage getProjectPackage() {
		return (ProjectPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	public static ProjectPackage getPackage() {
		return ProjectPackage.eINSTANCE;
	}

} //ProjectFactoryImpl
