/**
 */
package com.mycompany.commerce.project.facade.datatypes.util;

import com.ibm.commerce.oagis9.datatypes.BusinessObjectDocumentType;

import com.mycompany.commerce.project.facade.datatypes.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage
 * @generated
 */
public class ProjectAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ProjectPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = ProjectPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ProjectSwitch modelSwitch =
		new ProjectSwitch() {
			public Object caseAcknowledgeProjectDataAreaType(AcknowledgeProjectDataAreaType object) {
				return createAcknowledgeProjectDataAreaTypeAdapter();
			}
			public Object caseAcknowledgeProjectType(AcknowledgeProjectType object) {
				return createAcknowledgeProjectTypeAdapter();
			}
			public Object caseChangeProjectDataAreaType(ChangeProjectDataAreaType object) {
				return createChangeProjectDataAreaTypeAdapter();
			}
			public Object caseChangeProjectType(ChangeProjectType object) {
				return createChangeProjectTypeAdapter();
			}
			public Object caseDocumentRoot(DocumentRoot object) {
				return createDocumentRootAdapter();
			}
			public Object caseGetProjectDataAreaType(GetProjectDataAreaType object) {
				return createGetProjectDataAreaTypeAdapter();
			}
			public Object caseGetProjectType(GetProjectType object) {
				return createGetProjectTypeAdapter();
			}
			public Object caseProcessProjectDataAreaType(ProcessProjectDataAreaType object) {
				return createProcessProjectDataAreaTypeAdapter();
			}
			public Object caseProcessProjectType(ProcessProjectType object) {
				return createProcessProjectTypeAdapter();
			}
			public Object caseProjectExternalIdentifierType(ProjectExternalIdentifierType object) {
				return createProjectExternalIdentifierTypeAdapter();
			}
			public Object caseProjectIdentifierType(ProjectIdentifierType object) {
				return createProjectIdentifierTypeAdapter();
			}
			public Object caseProjectType(ProjectType object) {
				return createProjectTypeAdapter();
			}
			public Object caseRespondProjectDataAreaType(RespondProjectDataAreaType object) {
				return createRespondProjectDataAreaTypeAdapter();
			}
			public Object caseRespondProjectType(RespondProjectType object) {
				return createRespondProjectTypeAdapter();
			}
			public Object caseShowProjectDataAreaType(ShowProjectDataAreaType object) {
				return createShowProjectDataAreaTypeAdapter();
			}
			public Object caseShowProjectType(ShowProjectType object) {
				return createShowProjectTypeAdapter();
			}
			public Object caseBusinessObjectDocumentType(BusinessObjectDocumentType object) {
				return createBusinessObjectDocumentTypeAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.AcknowledgeProjectDataAreaType <em>Acknowledge Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.AcknowledgeProjectDataAreaType
	 * @generated
	 */
	public Adapter createAcknowledgeProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.AcknowledgeProjectType <em>Acknowledge Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.AcknowledgeProjectType
	 * @generated
	 */
	public Adapter createAcknowledgeProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ChangeProjectDataAreaType <em>Change Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ChangeProjectDataAreaType
	 * @generated
	 */
	public Adapter createChangeProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ChangeProjectType <em>Change Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ChangeProjectType
	 * @generated
	 */
	public Adapter createChangeProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.DocumentRoot <em>Document Root</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.DocumentRoot
	 * @generated
	 */
	public Adapter createDocumentRootAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.GetProjectDataAreaType <em>Get Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.GetProjectDataAreaType
	 * @generated
	 */
	public Adapter createGetProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.GetProjectType <em>Get Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.GetProjectType
	 * @generated
	 */
	public Adapter createGetProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ProcessProjectDataAreaType <em>Process Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProcessProjectDataAreaType
	 * @generated
	 */
	public Adapter createProcessProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ProcessProjectType <em>Process Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProcessProjectType
	 * @generated
	 */
	public Adapter createProcessProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ProjectExternalIdentifierType <em>External Identifier Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectExternalIdentifierType
	 * @generated
	 */
	public Adapter createProjectExternalIdentifierTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ProjectIdentifierType <em>Identifier Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectIdentifierType
	 * @generated
	 */
	public Adapter createProjectIdentifierTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ProjectType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectType
	 * @generated
	 */
	public Adapter createProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.RespondProjectDataAreaType <em>Respond Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.RespondProjectDataAreaType
	 * @generated
	 */
	public Adapter createRespondProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.RespondProjectType <em>Respond Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.RespondProjectType
	 * @generated
	 */
	public Adapter createRespondProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ShowProjectDataAreaType <em>Show Project Data Area Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ShowProjectDataAreaType
	 * @generated
	 */
	public Adapter createShowProjectDataAreaTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.datatypes.ShowProjectType <em>Show Project Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.mycompany.commerce.project.facade.datatypes.ShowProjectType
	 * @generated
	 */
	public Adapter createShowProjectTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.commerce.oagis9.datatypes.BusinessObjectDocumentType <em>Business Object Document Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.commerce.oagis9.datatypes.BusinessObjectDocumentType
	 * @generated
	 */
	public Adapter createBusinessObjectDocumentTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //ProjectAdapterFactory
