/**
 */
package com.mycompany.commerce.project.facade.datatypes.util;

import com.ibm.commerce.oagis9.datatypes.BusinessObjectDocumentType;

import com.mycompany.commerce.project.facade.datatypes.*;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage
 * @generated
 */
public class ProjectSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ProjectPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProjectSwitch() {
		if (modelPackage == null) {
			modelPackage = ProjectPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case ProjectPackage.ACKNOWLEDGE_PROJECT_DATA_AREA_TYPE: {
				AcknowledgeProjectDataAreaType acknowledgeProjectDataAreaType = (AcknowledgeProjectDataAreaType)theEObject;
				Object result = caseAcknowledgeProjectDataAreaType(acknowledgeProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.ACKNOWLEDGE_PROJECT_TYPE: {
				AcknowledgeProjectType acknowledgeProjectType = (AcknowledgeProjectType)theEObject;
				Object result = caseAcknowledgeProjectType(acknowledgeProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(acknowledgeProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.CHANGE_PROJECT_DATA_AREA_TYPE: {
				ChangeProjectDataAreaType changeProjectDataAreaType = (ChangeProjectDataAreaType)theEObject;
				Object result = caseChangeProjectDataAreaType(changeProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.CHANGE_PROJECT_TYPE: {
				ChangeProjectType changeProjectType = (ChangeProjectType)theEObject;
				Object result = caseChangeProjectType(changeProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(changeProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.DOCUMENT_ROOT: {
				DocumentRoot documentRoot = (DocumentRoot)theEObject;
				Object result = caseDocumentRoot(documentRoot);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.GET_PROJECT_DATA_AREA_TYPE: {
				GetProjectDataAreaType getProjectDataAreaType = (GetProjectDataAreaType)theEObject;
				Object result = caseGetProjectDataAreaType(getProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.GET_PROJECT_TYPE: {
				GetProjectType getProjectType = (GetProjectType)theEObject;
				Object result = caseGetProjectType(getProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(getProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.PROCESS_PROJECT_DATA_AREA_TYPE: {
				ProcessProjectDataAreaType processProjectDataAreaType = (ProcessProjectDataAreaType)theEObject;
				Object result = caseProcessProjectDataAreaType(processProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.PROCESS_PROJECT_TYPE: {
				ProcessProjectType processProjectType = (ProcessProjectType)theEObject;
				Object result = caseProcessProjectType(processProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(processProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.PROJECT_EXTERNAL_IDENTIFIER_TYPE: {
				ProjectExternalIdentifierType projectExternalIdentifierType = (ProjectExternalIdentifierType)theEObject;
				Object result = caseProjectExternalIdentifierType(projectExternalIdentifierType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.PROJECT_IDENTIFIER_TYPE: {
				ProjectIdentifierType projectIdentifierType = (ProjectIdentifierType)theEObject;
				Object result = caseProjectIdentifierType(projectIdentifierType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.PROJECT_TYPE: {
				ProjectType projectType = (ProjectType)theEObject;
				Object result = caseProjectType(projectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.RESPOND_PROJECT_DATA_AREA_TYPE: {
				RespondProjectDataAreaType respondProjectDataAreaType = (RespondProjectDataAreaType)theEObject;
				Object result = caseRespondProjectDataAreaType(respondProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.RESPOND_PROJECT_TYPE: {
				RespondProjectType respondProjectType = (RespondProjectType)theEObject;
				Object result = caseRespondProjectType(respondProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(respondProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.SHOW_PROJECT_DATA_AREA_TYPE: {
				ShowProjectDataAreaType showProjectDataAreaType = (ShowProjectDataAreaType)theEObject;
				Object result = caseShowProjectDataAreaType(showProjectDataAreaType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ProjectPackage.SHOW_PROJECT_TYPE: {
				ShowProjectType showProjectType = (ShowProjectType)theEObject;
				Object result = caseShowProjectType(showProjectType);
				if (result == null) result = caseBusinessObjectDocumentType(showProjectType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Acknowledge Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Acknowledge Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAcknowledgeProjectDataAreaType(AcknowledgeProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Acknowledge Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Acknowledge Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAcknowledgeProjectType(AcknowledgeProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Change Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Change Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseChangeProjectDataAreaType(ChangeProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Change Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Change Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseChangeProjectType(ChangeProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Document Root</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Document Root</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDocumentRoot(DocumentRoot object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Get Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Get Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGetProjectDataAreaType(GetProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Get Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Get Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGetProjectType(GetProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Process Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Process Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProcessProjectDataAreaType(ProcessProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Process Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Process Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProcessProjectType(ProcessProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>External Identifier Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>External Identifier Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProjectExternalIdentifierType(ProjectExternalIdentifierType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Identifier Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Identifier Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProjectIdentifierType(ProjectIdentifierType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseProjectType(ProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Respond Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Respond Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRespondProjectDataAreaType(RespondProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Respond Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Respond Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRespondProjectType(RespondProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Show Project Data Area Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Show Project Data Area Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseShowProjectDataAreaType(ShowProjectDataAreaType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Show Project Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Show Project Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseShowProjectType(ShowProjectType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Object Document Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Object Document Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBusinessObjectDocumentType(BusinessObjectDocumentType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //ProjectSwitch
