package com.mycompany.commerce.project.facade.server.metadata;
 
import org.eclipse.emf.ecore.EClass;

import com.ibm.commerce.foundation.server.services.dataaccess.db.jdbc.ComponentMetadata;
import com.mycompany.commerce.project.facade.ProjectFacadeConstants;

/**
 * This class provides the Project metadata for the data service layer.
 */
public class ProjectMetadata extends ComponentMetadata {
	

	private static final String CLASSNAME = ProjectMetadata.class.getName();
	private static final java.util.logging.Logger LOGGER = com.ibm.commerce.foundation.common.util.logging.LoggingHelper.getLogger(ProjectMetadata.class);
    
    /**
     * Project physical SDO package name
     */
    private static final String PACKAGE_NAME = "com.mycompany.commerce.project.facade.server.entity.datatypes.impl.ProjectEntityPackageImpl";        
    
    /**
     * This method gets the Project physical SDO EPackage name.
     * @return This method returns the Project physical SDO EPackage name.
     */
    public String getEPackageName() {
        return PACKAGE_NAME;
    }

    /**
     * This method gets the root class.
     * @return This method returns the root class. 
     */
    public EClass getRootEClass() {
    	//return ProjectEntityPackageImpl.eINSTANCE.getProjectRoot();
    	return null;
    }
    
    /**
     * This method returns the service module name.
     * @return This method returns the service module name.
     */
    protected String getComponentId() {
		return ProjectFacadeConstants.COMPONENT_NAME;
	}
	
}
