package com.ibm.commerce.sample.persistence;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2015
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */
import java.util.ArrayList;
import java.util.List;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2015
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import java.util.logging.Logger;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

import com.ibm.commerce.copyright.IBMCopyright;
import com.ibm.commerce.foundation.common.util.logging.LoggingHelper;
import com.ibm.commerce.foundation.persistence.AbstractJPAEntityDaoImpl;
import com.ibm.commerce.sample.objects.Contact;

/**
 * Contact DAO implementation as a sample. 
 */
public class ContactDaoImpl extends AbstractJPAEntityDaoImpl<Contact, Long> {

	/**
	 * IBM copyright notice field.
	 */
	public static final String COPYRIGHT = IBMCopyright.SHORT_COPYRIGHT;
	private static final Logger LOGGER = LoggingHelper.getLogger(ContactDaoImpl.class);
	private static final String CLASS_NAME = ContactDaoImpl.class.getName();

	/**
	 * Default constructor.
	 */
	public ContactDaoImpl() {
		super(Contact.class);
	}

	@Override
	protected Predicate[] buildPredicates(CriteriaBuilder cb, CriteriaQuery<?> cq, Root<Contact> root, String query,
			Object... queryParameters) {
		List<Predicate> predicateList = new ArrayList<Predicate>();
		if (query != null) {
			if ("Contact.getContactsByFirstName".equals(query)) {
				if (queryParameters != null && queryParameters.length == 2) {
					String firstName = (String) queryParameters[0];
					if (firstName != null) {
						predicateList.add(cb.equal(root.get("firstName"), firstName));
					}
				}
			}
		}
		Predicate[] predicates = new Predicate[predicateList.size()];
		predicateList.toArray(predicates);
		return predicates;
	}

}