<!-- TODO: This is a sample query template file. -->
<!-- Please modify to match your implementation. -->

BEGIN_SYMBOL_DEFINITIONS
	
	<!-- The table for noun Project  -->
		<!-- Defining all columns of the table -->
		COLS:PROJECT = PROJECT:* 	
		<!-- Defining the unique ID column of the table -->
		COLS:PROJECT_ID = PROJECT:PROJECT_ID
		<!-- Defining the name column of the table -->
		COLS:PROJECT_NAME = PROJECT:PROJECT_NAME
		<!-- Defining the description column of the table -->
		COLS:PROJECT_DESC = PROJECT:PROJECT_DESC
		
END_SYMBOL_DEFINITIONS

<!-- ================================================================================== -->
<!-- XPath: /Project/ProjectIdentifier[(UniqueID=)]-->
<!-- AccessProfile:	myCompany_Update -->
<!-- Get the information for Project with specified unique ID for an update operation -->
<!-- Access profile includes all columns from the table. -->
<!-- @param UniqueID  Unique id of Project to retrieve -->   
<!-- ================================================================================== -->

BEGIN_XPATH_TO_SQL_STATEMENT
	name=/Project/ProjectIdentifier[(UniqueID=)]+myCompany_Update
	base_table=PROJECT
	sql=	
		SELECT 
	     				PROJECT.$COLS:PROJECT$
	     	FROM
	     				PROJECT
	     	WHERE
						PROJECT.PROJECT_ID = ?UniqueID? 

END_XPATH_TO_SQL_STATEMENT

<!-- ================================================================================== -->
<!-- XPath: /Project/ProjectIdentifier/ExternalIdentifier[(Name=)] -->
<!-- AccessProfile:	myCompany_IdResolve -->
<!-- Get the internal unique ID for the specified external identifier. -->
<!-- Access profile includes only the unique ID -->
<!-- @param Name  Name(External ID) of Project to retrieve -->   
<!-- ================================================================================== -->

BEGIN_XPATH_TO_SQL_STATEMENT
	name=/Project/ProjectIdentifier/ExternalIdentifier[(Name=)]+myCompany_IdResolve
	base_table=PROJECT
	sql=	
		SELECT 
	     				PROJECT.$COLS:PROJECT_ID$	     				
	     	FROM
	     				PROJECT
	     	WHERE
						PROJECT.PROJECT_NAME = ?Name?

END_XPATH_TO_SQL_STATEMENT

